relaxngcc.util

## Class ConcatIterator

- java.lang.Object
- - relaxngcc.util.ConcatIterator

All Implemented Interfaces:
  java.util.Iterator

    public class ConcatIterator
    extends java.lang.Object
    implements java.util.Iterator

Iterator that walks over two other iterators.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Constructor Summary

Constructors
Constructor and Description
`ConcatIterator(java.util.Iterator first, java.util.Iterator second)`

### Method Summary

Methods
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcatIterator

    public ConcatIterator(java.util.Iterator first,
                  java.util.Iterator second)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator`

#### next

    public java.lang.Object next()

Specified by:
  `next` in interface `java.util.Iterator`

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator`